FreeBSD : WebCalendar -- information disclosure vulnerability (09c92f3a-fd49-11da-995c-605724cdf281)

Medium Nessus Plugin ID 21731


The remote FreeBSD host is missing a security-related update.


Secunia reports :

socsam has discovered a vulnerability in WebCalendar, which can be exploited by malicious people to bypass certain security restrictions and disclose sensitive information.

Input passed to the 'includedir' parameter isn't properly verified, before it is used in an 'fopen()' call. This can be exploited to load an arbitrary setting file from an external web site.

This can further be exploited to disclose the content of arbitrary files by defining the 'user_inc' variable in a malicious setting file.

Successful exploitation requires that 'register_globals' is enabled.


Update the affected package.

See Also

Plugin Details

Severity: Medium

ID: 21731

File Name: freebsd_pkg_09c92f3afd4911da995c605724cdf281.nasl

Version: $Revision: 1.13 $

Type: local

Published: 2006/06/19

Modified: 2013/06/21

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.4

Temporal Score: 5.3

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:N

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:WebCalendar, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2006/06/16

Vulnerability Publication Date: 2006/05/30

Reference Information

CVE: CVE-2006-2762

BID: 18175